<template>
  <div class="apply-cooperation ele-body">
    <el-card shadow="never" element-loading-background="rgba(255, 255, 255, 1)">
      <tab @update:type="type = $event.type" />
      <div :is="currentComponent"></div>
    </el-card>
  </div>
</template>

<script>
import search from "../../search"
import basicTarget from "./basicTarget"
import reward from "./reward"
import constraint from "./constraint"
import tab from "../tab";
export default {
  components: {
    tab,
    basicTarget,
    reward,
    constraint
  },
  data(){
      return {
          type:1
      }
  },
  computed:{
      currentComponent(){
          switch(this.type){
              case 1:
                  return "basicTarget";
              case 2:
                  return "reward";
              case 3:
                  return "constraint";
          }
      }
  },

};
</script>

<style>
</style>